Holger's Java API

## com.antelmann.util
Class Converter.Adapter<T1,T2>

    java.lang.Object
      com.antelmann.util.Converter.Adapter<T1,T2>

All Implemented Interfaces:
  Converter<T1,T2>

Enclosing interface:
  Converter<T1,T2>

    public static class Converter.Adapter<T1,T2>

extends Object
implements Converter<T1,T2>

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.util.Converter
`Converter.Adapter<T1,T2>`

Constructor Summary
`Converter.Adapter()`

Method Summary
`T2` `convert(T1 obj)`
`T1` `convertBack(T2 obj)`

`static

`<X,Y> Converter<X,Y>`

`

`reverse(Converter<Y,X> c)`

`static

`<X,Y> Converter<X,Y>`

`

`toConverter(PatternExtractor<X,Y> p)`

`static

`<X,Y> PatternExtractor<X,Y>`

`

`toExtractor(Converter<X,Y> c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Converter.Adapter

    public Converter.Adapter()

Method Detail

### convert

    public T2 convert(T1 obj)

  Specified by:
    `convert` in interface `Converter<T1,T2>`

### convertBack

    public T1 convertBack(T2 obj)
                   throws UnsupportedOperationException

  Specified by:
    `convertBack` in interface `Converter<T1,T2>`
  Throws:
    `UnsupportedOperationException`

### toExtractor

    public static <X,Y> PatternExtractor<X,Y> toExtractor(Converter<X,Y> c)

### toConverter

    public static <X,Y> Converter<X,Y> toConverter(PatternExtractor<X,Y> p)

### reverse

    public static <X,Y> Converter<X,Y> reverse(Converter<Y,X> c)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads